package com.patzn.lims.sys.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.BaseServiceImpl;
import com.patzn.lims.sys.entity.SysUserRelFile;
import com.patzn.lims.sys.mapper.SysUserRelFileMapper;
import com.patzn.lims.sys.service.ISysUserRelFileService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 用户文件夹关联表 服务实现类
 * </p>
 *
 * @author patzn
 * @since 2017-10-30
 */
@Service
public class SysUserRelFileServiceImpl extends BaseServiceImpl<SysUserRelFileMapper, SysUserRelFile> implements ISysUserRelFileService {

    @Override
    public Page<SysUserRelFile> page(Page<SysUserRelFile> page, SysUserRelFile sysUserRelFile) {
        Wrapper wrapper = new QueryWrapper<>(sysUserRelFile);

        return this.page(page, wrapper);
    }

    @Override
    public List<SysUserRelFile> list(SysUserRelFile sysUserRelFile) {
        return this.list(new QueryWrapper<>(sysUserRelFile));
    }

    @Override
    public boolean save() {
        return false;
    }
}
